users/urls.py
from django.urls import path
from mixins.MixinJWT import JWTView
from django.views.generic import TemplateView
from users.views import (javascript,UserViewSet, UserView, PasswordReset, HomeAPIView)
from rest_framework import routers

router = routers.DefaultRouter()
router.register(r'api/users', UserViewSet)

app_name='users'

urlpatterns = [
    path('api/v1/user', UserView.as_view(), name='user_view'), 

    #====================================> USUARIOS <====================================
    # JAVASCRIPTS
    path('javascript.js', javascript, name='js'),

    # LOGIN

    path('login',
        TemplateView.as_view(template_name="users/registration/login.html"),
        name='login'),
    
    # HOME

    path('',
        JWTView.as_view(template_name='base/base.html'),
        name='home'),# AQUI CARGA LOS CSS Y JS

    path('home',
        JWTView.as_view(template_name='users/index.html'),
        name='index'), # DESDE AQUÍ USA LA CACHÉ CON AJAX


    path('api/v1/home-api', HomeAPIView.as_view(), name='home-api'),
    

    #====================================> CLIENTES <====================================
    
    # DINAMICA

    path('clientes/general',
    	JWTView.as_view(template_name='customers/dinamic/dinamic.html'),
    	name='customers_dinamic_view'),


    #====================================> FINANZAS <====================================

    #RECAUDACION
    path('finanzas/recaudacion',
        JWTView.as_view(template_name="finances/recaudacion/recaudacion.html"),
        name="finances_recaudacion_view"),

    #COMPARAR PAGOS
    path('finanzas/comparar-pagos',
        JWTView.as_view(
            template_name="finances/facturacion-recaudacion/comparar_pagos.html"
            ),
        name="comparar_pagos"),

    #FACTURACION
    path('finanzas/facturacion',
        JWTView.as_view(
            template_name="finances/facturacion/facturacion_view.html"
            ),
        name="facturacion_view"),

    #====================================> CLIENTES <====================================



]

templates/base/base.html
{% load staticfiles %}
{% load static %}

<!DOCTYPE html>
<html lang="es">
<head>
	<meta charset="utf-8" />
	<title>Águila | Home</title>
	<meta content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" 
	name="viewport" />
	<meta content="" name="description" />
	<meta content="" name="author" />

	{% block stylesheet %}
	
	<!-- ================== BEGIN BASE CSS STYLE ================== -->
	<link href="{% static 'fonts/fuentes.css' %}" rel="stylesheet" />
	<link href="{% static 'assets/css/default/app.min.css' %}" rel="stylesheet" />
	<!-- ================== END BASE CSS STYLE ================== -->
	
	<!-- ================== ICONO SISTEMA ================== -->
	<link rel="icon" type="image/png" sizes="110x110" href="{% static 'assets/flat_img/icono.png' %}"/>
	<!-- ================== MENSAJES CSS STYLE ================== -->
	<link rel="stylesheet" href="{% static 'assets/plugins/gritter/css/jquery.gritter.css' %}">

	{% endblock stylesheet %}

	{% block extra_stylesheet %}{% endblock extra_stylesheet %}
</head>
<body>
	<!-- begin #page-loader -->
	<div id="page-loader" class="fade show"><span class="spinner"></span></div>
	<!-- end #page-loader -->
	
	<!-- begin #page-container -->
	<div id="page-container" class="page-container fade page-sidebar-fixed page-header-fixed">
		<!-- begin #header -->
		<div id="header" class="header navbar-default" style="background: #ff9100;">
			{% include 'base/header.html' %}
		</div>
		<!-- end #header -->
		
		<!-- begin #sidebar -->
		<div id="sidebar" class="sidebar">
			{% include 'base/sidebar.html' %}
		</div>
		<div class="sidebar-bg"></div>
		<!-- end #sidebar -->
		
		<!-- begin #content -->
		<div id="content" class="content">
			{% block container %}{% endblock container %}
		</div>
		<!-- end #content -->
	
		
		<!-- begin scroll to top btn -->
		<a href="javascript:;" class="btn btn-icon btn-circle btn-success btn-scroll-to-top fade" data-click="scroll-top"><i class="fa fa-angle-up"></i></a>
		<!-- end scroll to top btn -->
	</div>
	<!-- end page container -->
	
	{% block javascript %}
	
	<!-- ================== BEGIN BASE JS ================== -->
	<script src="{% static 'assets/js/app.min.js' %}"></script>
	<script src="{% static 'assets/js/theme/default.min.js' %}"></script>
	<!-- ================== MENSAJES JS ================== -->
	<script src="{% static 'assets/plugins/gritter/js/jquery.gritter.min.js' %}"></script>
	<script src="{% static 'assets/plugins/sweetalert/dist/sweetalert.min.js' %}"></script>

	<!-- ================== ÁGUILA JS ================== -->
	<script type="text/javascript" src="{% static 'comunes_aguila/aguila_js.js' %}"></script>
	<script type="text/javascript" src="{% static 'comunes_aguila/generales_aguila.js' %}"></script>
	<script type="text/javascript" src="{% static 'comunes_aguila/graficos_aguila.js' %}"></script>
	<!-- ================== AMCHARTS4 JS ================== -->
	<script src="{% static 'amcharts/core.js' %}"></script>
	<script src="{% static 'amcharts/charts.js' %}"></script>
	<script src="{% static 'amcharts/themes/dataviz.js' %}"></script>
	<script src="{% static 'amcharts/themes/material.js' %}"></script>
	<script src="{% static 'amcharts/themes/animated.js' %}"></script>
	<script src="{% static 'amcharts/lang/es_ES.js' %}"></script>
	<!-- ================== AXIOS JS ================== -->
	<script type="text/javascript" src="{% static 'axios/axios.min.js' %}"></script>

	<!-- ================== JS PERSONALIZADO ================== -->
	<script src="{% url 'users:js' %}"></script>
	<script>
		App.setPageTitle('Águila | Home');
		App.settings({
			ajaxMode: true,
			ajaxDefaultUrl: '/home',
			ajaxType: 'GET',
			ajaxDataType: 'html'
		});
	</script>
	<!-- ================== END BASE JS ================== -->
	{% endblock javascript %}

	{% block extra_javascript %}{% endblock extra_javascript %}
</body>
</html>

templates/base/header.html
{% load static %}
<!-- begin navbar-header -->
<div class="navbar-header">
    <a href="{% url 'users:index' %}" data-toggle="ajax" class="navbar-brand">
        <img src="{% static 'assets/flat_img/icono.png' %}" alt="" sizes="110x110" srcset="">
        <b>Águila&nbsp;</b> v 0.2.0</a>
    <button type="button" class="navbar-toggle" data-click="sidebar-toggled">
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
    </button>
</div>
<!-- end navbar-header -->

<!-- begin header-nav -->
<ul class="navbar-nav navbar-right">
    <!-- <li class="navbar-form">
        <form action="" method="POST" name="search">
            <div class="form-group">
                <input type="text" class="form-control" placeholder="Enter keyword" />
                <button type="submit" class="btn btn-search"><i class="fa fa-search"></i></button>
            </div>
        </form>
    </li>
    <li class="dropdown">
        <a href="#" data-toggle="dropdown" class="dropdown-toggle f-s-14">
            <i class="fa fa-bell"></i>
            <span class="label">5</span>
        </a>
        <div class="dropdown-menu media-list dropdown-menu-right">
            <div class="dropdown-header">NOTIFICATIONS (5)</div>
            <a href="javascript:;" class="dropdown-item media">
                <div class="media-left">
                    <i class="fa fa-bug media-object bg-silver-darker"></i>
                </div>
                <div class="media-body">
                    <h6 class="media-heading">Server Error Reports <i class="fa fa-exclamation-circle text-danger"></i></h6>
                    <div class="text-muted f-s-10">3 minutes ago</div>
                </div>
            </a>
            <a href="javascript:;" class="dropdown-item media">
                <div class="media-left">
                    <img src="../assets/img/user/user-1.jpg" class="media-object" alt="" />
                    <i class="fab fa-facebook-messenger text-blue media-object-icon"></i>
                </div>
                <div class="media-body">
                    <h6 class="media-heading">John Smith</h6>
                    <p>Quisque pulvinar tellus sit amet sem scelerisque tincidunt.</p>
                    <div class="text-muted f-s-10">25 minutes ago</div>
                </div>
            </a>
            <a href="javascript:;" class="dropdown-item media">
                <div class="media-left">
                    <img src="../assets/img/user/user-2.jpg" class="media-object" alt="" />
                    <i class="fab fa-facebook-messenger text-blue media-object-icon"></i>
                </div>
                <div class="media-body">
                    <h6 class="media-heading">Olivia</h6>
                    <p>Quisque pulvinar tellus sit amet sem scelerisque tincidunt.</p>
                    <div class="text-muted f-s-10">35 minutes ago</div>
                </div>
            </a>
            <a href="javascript:;" class="dropdown-item media">
                <div class="media-left">
                    <i class="fa fa-plus media-object bg-silver-darker"></i>
                </div>
                <div class="media-body">
                    <h6 class="media-heading"> New User Registered</h6>
                    <div class="text-muted f-s-10">1 hour ago</div>
                </div>
            </a>
            <a href="javascript:;" class="dropdown-item media">
                <div class="media-left">
                    <i class="fa fa-envelope media-object bg-silver-darker"></i>
                    <i class="fab fa-google text-warning media-object-icon f-s-14"></i>
                </div>
                <div class="media-body">
                    <h6 class="media-heading"> New Email From John</h6>
                    <div class="text-muted f-s-10">2 hour ago</div>
                </div>
            </a>
            <div class="dropdown-footer text-center">
                <a href="javascript:;">View more</a>
            </div>
        </div>
    </li> -->
    <li class="dropdown navbar-user">
        <a href="#" class="dropdown-toggle" data-toggle="dropdown">
            <img src="{% static 'assets/flat_img/users.png' %}" alt="" /> 
            <!-- <i class="fa fa-user"></i> -->
            <span class="d-none d-md-inline text_username">User</span> <b class="caret"></b>
        </a>
        <div class="dropdown-menu dropdown-menu-right">
            <a href="javascript:;" class="dropdown-item">Perfil</a>
            <!-- <a href="javascript:;" class="dropdown-item"><span class="badge badge-danger pull-right">2</span> Inbox</a>
            <a href="javascript:;" class="dropdown-item">Calendar</a>
            <a href="javascript:;" class="dropdown-item">Setting</a> -->
            <div class="dropdown-divider"></div>
            <a href="javascript:;" id="btn_log_out" class="dropdown-item">Salir</a>
        </div>
    </li>
</ul>
<!-- end header-nav -->

templates/base/sidebar.html
{% load static %}
<!-- begin sidebar scrollbar -->
<div data-scrollbar="true" data-height="100%">
    <!-- begin sidebar user -->
    <ul class="nav">
        <li class="nav-profile">
            <a href="javascript:;" data-toggle="nav-profile">
                <div class="cover with-shadow"></div>
                <div class="image">
                    <img src="{% static 'assets/flat_img/users.png' %}" alt="" /> 
                </div>
                <div class="info text_username">
                    User
                </div>
            </a>
        </li>
        <!-- <li>
            <ul class="nav nav-profile">
                <li><a href="javascript:;"><i class="fa fa-cog"></i> Settings</a></li>
                <li><a href="javascript:;"><i class="fa fa-pencil-alt"></i> Send Feedback</a></li>
                <li><a href="javascript:;"><i class="fa fa-question-circle"></i> Helps</a></li>
            </ul>
        </li> -->
    </ul>
    <!-- end sidebar user -->
    <!-- begin sidebar nav -->
    <ul class="nav">
        <li class="nav-header">Menú Principal</li>
        <li class="has-sub">
            <a href="javascript:;">
                <i class="fa fa-th-large"></i>
                <span>Dashboard</span>
            </a>

        </li>

        <li class="has-sub">
            <a href="javascript:;">
                <b class="caret"></b>
                <i class="fa fa-user-plus"></i>
                <span>Nuevos Clientes</span>
            </a>
            <ul class="sub-menu">
                <li><a href="javascript:;" data-toggle="ajax">Ventas</a></li>
            </ul>
        </li>

        <li class="has-sub">
            <a href="javascript:;">
                <b class="caret"></b>
                <i class="fa fa-users"></i>
                <span>Clientes</span>
            </a>
            <ul class="sub-menu">
                <li><a href="{% url 'users:customers_dinamic_view' %}" data-toggle="ajax">General</a></li>
            </ul>
        </li>

        <li class="has-sub">
            <a href="javascript:;">
                <b class="caret"></b>
                <i class="fa fa-file-invoice-dollar"></i>
                <span>Finanzas</span>
            </a>
            <ul class="sub-menu">
                <li><a href="{% url 'users:finances_recaudacion_view' %}" data-toggle="ajax">Recaudación</a></li>
                <li><a href="{% url 'users:facturacion_view' %}" data-toggle="ajax">Facturación</a></li>
                <li><a href="{% url 'users:comparar_pagos' %}" data-toggle="ajax">Comparar Pagos</a></li>
                <li><a href="javascript:;" data-toggle="ajax">Cobranzas</a></li>
            </ul>
        </li>

        <li class="has-sub">
            <a href="javascript:;">
                <b class="caret"></b>
                <i class="fa fa-concierge-bell"></i>
                <span>Iclass</span>
            </a>
            <ul class="sub-menu">
                <li><a href="#pages/index.html" data-toggle="ajax">Ingreso de datos</a></li>
                <li><a href="javascript:;" data-toggle="ajax">Ordenes de Servicio</a></li>
            </ul>
        </li>

        <li class="has-sub">
            <a href="javascript:;">
                <b class="caret"></b>
                <i class="fa fa-cogs"></i>
                <span>Configuraciones</span>
            </a>
            <ul class="sub-menu">
                <li><a href="javascript:;" data-toggle="ajax">Opciones</a></li>
                <!-- <li><a href="javascript:;" data-toggle="ajax">Dashboard v2</a></li>
                <li><a href="#pages/index_v3.html" data-toggle="ajax">Dashboard v3</a></li> -->
            </ul>
        </li>

        <!-- begin sidebar minify button -->
        <li><a href="javascript:;" class="sidebar-minify-btn" data-click="sidebar-minify"><i class="fa fa-angle-double-left"></i></a></li>
        <!-- end sidebar minify button -->
    </ul>
    <!-- end sidebar nav -->
</div>
<!-- end sidebar scrollbar -->